### Constructor

# Ggit Config new_default

#### Declaration [src]

    GgitConfig*
    ggit_config_new_default (
      GError** error
    )

#### Description [src]

Get the global, XDG and system configuration files merged into one `GgitConfig` with their appropriate priority levels. If an error occured trying to load the various configuration files, this function will return `NULL` and `error` will be set accordingly.

#### Return value

Type: `GgitConfig`

A `GgitConfig`.

The data is owned by the called function.